SupportedFeatures/gSoap2_7_16Support

gSOAP 2.7.16 and 2.7.17 support

The output of wsdl2h wsdl converter was changed starting from gSOAP version 2.7.14. Starting from version 2.7.16 an command line parameter was added to output the code style. The following patch enables this command line parameter in ws4d-gsoap. This patch supports gSOAP version 2.7.16 and 2.7.17.

Run the following commands in the ws4d-gsoap source tree

$ cat [patchfile] | patch -p1

to apply the patch on a linux system.

Attachments